import { Card, Order, TransactionRequestOptions, Account, Transaction } from './types';
declare class Opaler {
    constructor(username: string, password: string);
    /**
     * Get details of all Opal cards linked to the account
     */
    getCards(): Promise<Card[]>;
    /**
     * Get account details
     */
    getAccount(): Promise<Account>;
    /**
     * Get Opal card orders and requests
     */
    getOrders(): Promise<Order[]>;
    /**
     * Get an Opal cards transactions
     */
    getTransactions(options: TransactionRequestOptions): Promise<Transaction[]>;
}
export default Opaler;
